# Generated by Django 3.1 on 2021-01-19 09:40

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("scientific_survey", "0015_auto_20200818_0917"),
    ]

    operations = [
        migrations.RemoveField(
            model_name="question",
            name="choices",
        ),
        migrations.RemoveField(
            model_name="question",
            name="type",
        ),
        migrations.CreateModel(
            name="AnswerGroup",
            fields=[
                ("id", models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                (
                    "type",
                    models.CharField(
                        choices=[
                            ("text", "text (multiple line)"),
                            ("short-text", "short text (one line)"),
                            ("radio", "radio"),
                            ("select", "select"),
                            ("select-multiple", "Select Multiple"),
                            ("select_image", "Select Image"),
                            ("integer", "integer"),
                            ("float", "float"),
                            ("date", "date"),
                        ],
                        default="text",
                        max_length=200,
                        verbose_name="Type",
                    ),
                ),
                (
                    "choices",
                    models.TextField(
                        blank=True,
                        help_text="""The choices field is only used if the question type
                                     if the question type is 'radio', 'select', or
                                     'select multiple' provide a comma-separated list of
                                     options for this question .""",
                        null=True,
                        verbose_name="Choices",
                    ),
                ),
                (
                    "question",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="answer_groups",
                        to="scientific_survey.question",
                        verbose_name="Answer group",
                    ),
                ),
            ],
        ),
    ]
