# Generated by Django 3.2.16 on 2022-12-22 08:50

import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('scientific_survey', '0023_auto_20221215_1113'),
    ]

    operations = [
        migrations.AddField(
            model_name='survey',
            name='owner',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL,
                                    to=settings.AUTH_USER_MODEL, verbose_name='owner'),
        ),
        migrations.AlterField(
            model_name='answergroup',
            name='choices',
            field=models.TextField(blank=True, help_text="The choices field is only used if the question type\nif the question type is 'radio', 'select',\n'select multiple', or range. For the first 3, please provide\na comma-separated list of options for this question, for range,\nplease provide a comma-separated list of min,max,step.", null=True, verbose_name='Choices'),
        ),
        migrations.AlterField(
            model_name='category',
            name='max_responses',
            field=models.IntegerField(default=1, help_text='Only applicable if categories are treated as separate sub-surveys', verbose_name='Maximal number of responses'),
        ),
        migrations.AlterField(
            model_name='question',
            name='order',
            field=models.IntegerField(blank=True, help_text='\n    Order of this question in the display (starting with 1).\n    If none is specified, the question will be shown in a random order\n    ', null=True, verbose_name='Order'),
        ),
        migrations.AlterField(
            model_name='survey',
            name='save_categories_separately',
            field=models.BooleanField(default=False, verbose_name='Save data for each category in an independent response (only if categories are treated as sub-surveys)'),
        ),
        migrations.CreateModel(
            name='Layout',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('codename', models.CharField(max_length=30, verbose_name='Code name')),
                ('template', models.TextField(verbose_name='Template')),
                ('is_public', models.BooleanField(default=False, help_text='Whether to make the layout available to other users', verbose_name='is public?')),
                ('owner', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL, verbose_name='owner')),
            ],
        ),
    ]
